Debian Bug report logs - #674803
freebsd-libs: FTBFS on linux: sys/_types.h: No such file or directory

version graph

Package: freebsd-glue; Maintainer for freebsd-glue is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-glue is src:freebsd-glue.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 27 May 2012 20:30:01 UTC

Severity: serious

Found in version freebsd-glue/0.0.2

Fixed in version freebsd-glue/0.0.3

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#674803; Package src:freebsd-libs. (Sun, 27 May 2012 20:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 27 May 2012 20:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd-libs: FTBFS on linux: sys/_types.h: No such file or directory
Date: Sun, 27 May 2012 22:27:43 +0200
Source: freebsd-libs
Version: 9.0+ds1-3
Severity: serious
Justification: FTBFS

Hi,

on all linux archs it was tried on, freebsd-libs failed with:
| […]
| In file included from /usr/include/i386-linux-gnu/sys/param.h:53:0,
|                  from /usr/include/freebsd/sys/param.h:1,
|                  from /build/buildd-freebsd-libs_9.0+ds1-3-i386-CFFhOp/freebsd-libs-9.0+ds1/debian/local/include/sys/param.h:3,
|                  from /build/buildd-freebsd-libs_9.0+ds1-3-i386-CFFhOp/freebsd-libs-9.0+ds1/lib/libsbuf/../../sys/kern/subr_sbuf.c:32:
| /usr/include/freebsd/sys/types.h:14:26: fatal error: sys/_types.h: No such file or directory

Full build logs:
  https://buildd.debian.org/status/package.php?p=freebsd-libs&suite=sid

Mraw,
KiBi.




Bug reassigned from package 'src:freebsd-libs' to 'freebsd-glue'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 28 May 2012 09:06:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions freebsd-libs/9.0+ds1-3. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 28 May 2012 09:06:10 GMT) Full text and rfc822 format available.

Marked as found in versions freebsd-glue/0.0.2. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 28 May 2012 09:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#674803; Package freebsd-glue. (Mon, 28 May 2012 09:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 28 May 2012 09:21:18 GMT) Full text and rfc822 format available.

Message #16 received at 674803@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 674803@bugs.debian.org
Subject: Re: Bug#674803: freebsd-libs: FTBFS on linux: sys/_types.h: No such file or directory
Date: Mon, 28 May 2012 11:17:31 +0200
2012/5/27 Cyril Brulebois <kibi@debian.org>:
> on all linux archs it was tried on, freebsd-libs failed with:
> | […]
> | In file included from /usr/include/i386-linux-gnu/sys/param.h:53:0,
> |                  from /usr/include/freebsd/sys/param.h:1,
> |                  from /build/buildd-freebsd-libs_9.0+ds1-3-i386-CFFhOp/freebsd-libs-9.0+ds1/debian/local/include/sys/param.h:3,
> |                  from /build/buildd-freebsd-libs_9.0+ds1-3-i386-CFFhOp/freebsd-libs-9.0+ds1/lib/libsbuf/../../sys/kern/subr_sbuf.c:32:
> | /usr/include/freebsd/sys/types.h:14:26: fatal error: sys/_types.h: No such file or directory

This was actually a bug in freebsd-glue (bug reassigned, and fixed in 0.0.3).

Please could you schedule a rebuild of freebsd-libs?

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 28 May 2012 09:21:40 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 28 May 2012 09:21:49 GMT) Full text and rfc822 format available.

Message #21 received at 674803-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 674803-close@bugs.debian.org
Subject: Bug#674803: fixed in freebsd-glue 0.0.3
Date: Mon, 28 May 2012 09:17:28 +0000
Source: freebsd-glue
Source-Version: 0.0.3

We believe that the bug you reported is fixed in the latest version of
freebsd-glue, which is due to be installed in the Debian FTP archive:

freebsd-glue_0.0.3.dsc
  to main/f/freebsd-glue/freebsd-glue_0.0.3.dsc
freebsd-glue_0.0.3.tar.gz
  to main/f/freebsd-glue/freebsd-glue_0.0.3.tar.gz
freebsd-glue_0.0.3_all.deb
  to main/f/freebsd-glue/freebsd-glue_0.0.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674803@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-glue package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 May 2012 11:02:56 +0200
Source: freebsd-glue
Binary: freebsd-glue
Architecture: source all
Version: 0.0.3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-glue - Emulate a FreeBSD build environment
Closes: 674803 674806
Changes: 
 freebsd-glue (0.0.3) unstable; urgency=low
 .
   * Move freebsd-buildutils from Depends to Recommends to break circular
     dependency.  (Closes: #674806)
   * Don't include <sys/_types.h> on non-kFreeBSD.  (Closes: #674803)
Checksums-Sha1: 
 04d3375c14cae4aa22c068c969c036b7db9ed848 970 freebsd-glue_0.0.3.dsc
 c780bff663b31f8060540ed53d53eb884b79ca9c 18680 freebsd-glue_0.0.3.tar.gz
 1bc7f19aaa8712722d074b868b9502a8884ea061 20142 freebsd-glue_0.0.3_all.deb
Checksums-Sha256: 
 6d05110fda6563e651c9d554bd67bce2b0cb3a2e4b97665055f4a49ee59f572f 970 freebsd-glue_0.0.3.dsc
 509337eb23776617076a817ddc100e5e5563c2960f480dab4f8df7904322aeee 18680 freebsd-glue_0.0.3.tar.gz
 4472dae4b48e8251a88974244f49338d467f9e4848750f9e9302c899c51109da 20142 freebsd-glue_0.0.3_all.deb
Files: 
 dffee2bf41ebb15f1577a03570366004 970 devel extra freebsd-glue_0.0.3.dsc
 92697570cc308ef3622c7d29de0adbf8 18680 devel extra freebsd-glue_0.0.3.tar.gz
 c73333e36a9225d1bfbc68e3879b83d8 20142 devel extra freebsd-glue_0.0.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAk/DQWgACgkQC19io6rUCv9PDgCbB0WdD0AxWF5D4TFbyqB8CZcz
8M4An0ClV7htAgMM4Cmo6uKPfkm5dBCd
=pABq
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#674803; Package freebsd-glue. (Mon, 28 May 2012 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 28 May 2012 09:36:11 GMT) Full text and rfc822 format available.

Message #26 received at 674803@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 674803@bugs.debian.org
Subject: Re: Bug#674803: freebsd-libs: FTBFS on linux: sys/_types.h: No such file or directory
Date: Mon, 28 May 2012 11:32:45 +0200
[Message part 1 (text/plain, inline)]
Robert Millan <rmh@debian.org> (28/05/2012):
> This was actually a bug in freebsd-glue (bug reassigned, and fixed in
> 0.0.3).
> 
> Please could you schedule a rebuild of freebsd-libs?

1. That's not a rebuild, that's a give back (or retry). “rebuild”
   implies it built successfully and it's about binNMUs, which it is not.

2. #674806 means it's going to be stuck in BD-Uninstallable state, which
   is already the case on all archs where it's not Build-attempted.

Given back where it failed.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:33:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:20:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.